std::shared_future< void > Class Reference
Concurrency » Futures

`#include <future>`

Inheritance diagram for std::shared_future< void >:
[legend]

## Public Member Functions

| shared_future (const shared_future &__sf)
| shared_future (future< void > &&__uf) noexcept
| shared_future (shared_future &&__sf) noexcept
void | get () const
shared_future & | operator= (const shared_future &__sf)
shared_future & | operator= (shared_future &&__sf) noexcept
bool | valid () const noexcept
void | wait () const
future_status | wait_for (const chrono::duration< _Rep, _Period > &__rel) const
future_status | wait_until (const chrono::time_point< _Clock, _Duration > &__abs) const

## Protected Types

typedef __future_base::_Result< void > & | __result_type
typedef shared_ptr< _State_base > | __state_type

## Protected Member Functions

__result_type | _M_get_result () const
void | _M_swap (__basic_future &__that) noexcept

## Detailed Description

Explicit specialization for shared_future<void>.

Definition at line 1014 of file future.

## Member Typedef Documentation

## __result_type

typedef __future_base::_Result<void>& std::__basic_future< void >::__result_type

protected

Definition at line 706 of file future.

## __state_type

typedef shared_ptr<_State_base> std::__basic_future< void >::__state_type

protected

Definition at line 705 of file future.

## Constructor & Destructor Documentation

## shared_future() [1/4]

std::shared_future< void >::shared_future | ( |  | ) |

inline constexpr noexcept

Definition at line 1019 of file future.

## shared_future() [2/4]

std::shared_future< void >::shared_future | ( | const shared_future< void > & | __sf | ) |

inline

Copy constructor.

Definition at line 1022 of file future.

## shared_future() [3/4]

std::shared_future< void >::shared_future | ( | future< void > && | __uf | ) |

inline noexcept

Construct from a future rvalue.

Definition at line 1025 of file future.

References std::move().

## shared_future() [4/4]

std::shared_future< void >::shared_future | ( | shared_future< void > && | __sf | ) |

inline noexcept

Construct from a shared_future rvalue.

Definition at line 1030 of file future.

References std::move().

## Member Function Documentation

## _M_get_result()

__result_type std::__basic_future< void >::_M_get_result | ( |  | ) | const

inline protected

Wait for the state to be ready and rethrow any stored exception.

Definition at line 745 of file future.

## _M_swap()

void std::__basic_future< void >::_M_swap | ( | __basic_future & | __that | ) |

inline protected noexcept

Definition at line 754 of file future.

## get()

void std::shared_future< void >::get | ( |  | ) | const

inline

Definition at line 1048 of file future.

## operator=() [1/2]

shared_future & std::shared_future< void >::operator= | ( | const shared_future< void > & | __sf | ) |

inline

Definition at line 1034 of file future.

## operator=() [2/2]

shared_future & std::shared_future< void >::operator= | ( | shared_future< void > && | __sf | ) |

inline noexcept

Definition at line 1040 of file future.

## valid()

bool std::__basic_future< void >::valid | ( |  | ) | const

inline noexcept

Definition at line 717 of file future.

## wait()

void std::__basic_future< void >::wait | ( |  | ) | const

inline

Definition at line 720 of file future.

## wait_for()

future_status std::__basic_future< void >::wait_for | ( | const chrono::duration< _Rep, _Period > & | __rel | ) | const

inline

Definition at line 728 of file future.

## wait_until()

future_status std::__basic_future< void >::wait_until | ( | const chrono::time_point< _Clock, _Duration > & | __abs | ) | const

inline

Definition at line 736 of file future.

The documentation for this class was generated from the following file:

- future